/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_CTXPOPUP_H__
#define __AIR_MEDIAHUB_CTXPOPUP_H__

struct ctxpopup;

struct ctxpopup *ctxpopup_create(Evas_Object *base,
			const char *ctxpopup_style, const char *btn_style,
			const char **text, int text_size, int cur_index);
void ctxpopup_show(struct ctxpopup *m, int x, int y);
void ctxpopup_set_callback(struct ctxpopup *m, void (*func)(void *, int),
			void *data);
void ctxpopup_destroy(struct ctxpopup *m);

#endif
